Bug 1783498 (CVE-2019-19527) - CVE-2019-19527 kernel: use-after-free caused by a malicious USB device in the drivers/hid/usbhid/hiddev.c driver
Summary: CVE-2019-19527 kernel: use-after-free caused by a malicious USB device in the...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19527
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1803447 1814257 1814259 1783503 1803439 1803440 1803441 1803442 1803443 1803444 1803445 1803446 1803448 1803449 1803450 1803451 1803452 1803453 1803454 1803455 1803456 1803457 1803458 1803459 1803460 1803461 1803462 1803463 1803464 1803465 1803466 1804539 1804540 1804541 1804542
Blocks: 1783502
TreeView+ depends on / blocked
 
Reported: 2019-12-13 20:29 UTC by msiddiqu
Modified: 2020-08-25 14:40 UTC (History)
51 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in hiddev_open in drivers/hid/usbhid/hiddev.c in the USB Human Interface Device class subsystem, where an existing device must be validated prior to its access. The device should also ensure the hiddev_list cleanup occurs at failure, as this may lead to a use-after-free problem, or possibly escalate privileges to an unauthorized user.
Clone Of:
Environment:
Last Closed: 2020-04-07 10:32:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3235 None None None 2020-07-30 01:09:49 UTC
Red Hat Product Errata RHBA-2020:3236 None None None 2020-07-30 02:11:38 UTC
Red Hat Product Errata RHBA-2020:3249 None None None 2020-07-30 14:36:49 UTC
Red Hat Product Errata RHBA-2020:3551 None None None 2020-08-25 14:35:50 UTC
Red Hat Product Errata RHBA-2020:3552 None None None 2020-08-25 14:40:20 UTC
Red Hat Product Errata RHSA-2020:1372 None None None 2020-04-07 12:24:12 UTC
Red Hat Product Errata RHSA-2020:1378 None None None 2020-04-07 09:55:33 UTC
Red Hat Product Errata RHSA-2020:3220 None None None 2020-07-29 18:19:00 UTC
Red Hat Product Errata RHSA-2020:3221 None None None 2020-07-29 18:19:29 UTC

Description msiddiqu 2019-12-13 20:29:51 UTC
A vulnerability was found in hiddev_open in drivers/hid/usbhid/hiddev.c  in USB human interface device class  subsystem,  in this problem if a USB device fails to initialize correctly list management code in the error handling path can delete a list entry while other USB code paths could be using it.  This may lead to a use-after-free situation which is frequently used by attackers to corrupt memory, panic the system or possibly escalate privileges.

Upstream Patch: 

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=6d4472d7bec39917b54e4e80245784ea5d60ce49
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9c09b214f30e3c11f9b0b03f89442df03643794d

References:

https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.2.10
http://www.openwall.com/lists/oss-security/2019/12/03/4
http://seclists.org/oss-sec/2019/q4/115

Comment 1 msiddiqu 2019-12-13 20:33:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1783503]

Comment 2 Justin M. Forbes 2019-12-16 16:58:59 UTC
This is fixed for Fedora with the 5.2.10 stable kernel update.

Comment 4 Rohit Keshri 2020-02-16 08:56:58 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 19 Petr Matousek 2020-03-25 13:52:29 UTC
Statement:

This issue is rated as Moderate because of the need of physical access to the system.

Comment 22 errata-xmlrpc 2020-04-07 09:55:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1378 https://access.redhat.com/errata/RHSA-2020:1378

Comment 23 Product Security DevOps Team 2020-04-07 10:32:00 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19527

Comment 24 errata-xmlrpc 2020-04-07 12:24:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1372 https://access.redhat.com/errata/RHSA-2020:1372

Comment 25 errata-xmlrpc 2020-07-29 18:18:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3220 https://access.redhat.com/errata/RHSA-2020:3220

Comment 26 errata-xmlrpc 2020-07-29 18:19:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3221 https://access.redhat.com/errata/RHSA-2020:3221


Note You need to log in before you can comment on or make changes to this bug.